## slepc4py 3.16.1

=== debian/changelog ===
slepc4py (3.16.1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch read_slepc_config.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Mar 2022 19:08:04 +0100

slepc4py (3.16.0-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI update to 3.16
  * update debian patch read_slepc_config.patch for upstream PR
    (guard against non-lib flags, drop deprecated petscvec logic)

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Nov 2021 17:15:10 +0100
