=== debian/control ===
Source: slepc4py
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), dh-python, chrpath,
 cython3,
 python3-all-dev,
 python3-distutils,
 python3-numpy (>= 1:1.4.1-4~),
 libslepc-real3.16-dev, libpetsc-real3.16-dev,
 libslepc-complex3.16-dev, libpetsc-complex3.16-dev,
 python3-petsc4py,
 python3-petsc4py-real3.16, python3-petsc4py-complex3.16,
 libslepc64-real3.16-dev, libpetsc64-real3.16-dev,
 libslepc64-complex3.16-dev, libpetsc64-complex3.16-dev,
 python3-petsc4py-64-real3.16, python3-petsc4py-64-complex3.16,
 mpi-default-dev,
 libjs-jquery (>= 3.1.0),
 libjs-underscore (>= 1.3.1),
 sphinx-common
Build-Depends-Indep: python3-sphinx,
 latexmk,
 texinfo,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended
Homepage: https://gitlab.com/slepc/slepc4py
Vcs-Git: https://salsa.debian.org/science-team/slepc4py.git
Vcs-Browser: https://salsa.debian.org/science-team/slepc4py

Package: python3-slepc4py
Architecture: all
Depends: python3-slepc4py-real | python3-slepc4py-complex | python3-slepc4py-real3.16 | python3-slepc4py-complex3.16 | python3-slepc4py-64-real | python3-slepc4py-64-complex | python3-slepc4py-64-real3.16 | python3-slepc4py-64-complex3.16,
 python3-petsc4py,
 python3:any, ${python3:Depends}, ${misc:Depends}
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc libraries
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This is a base package that depends on (Recommends) the python3
 slepc4py package with either real or complex number support. It
 provides the path to slepc4py for the system's default SLEPc version
 set in /usr/lib/slepc. Export environment variable SLEPC_DIR to use
 other versions.

Package: python3-slepc4py-real
Architecture: all
Depends: python3-slepc4py-real3.16,
 ${python3:Depends}, ${misc:Depends}
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc libraries (real numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This is a dummy package that depends on slepc4py for
 the latest version of SLEPc with real number support.

Package: python3-slepc4py-real3.16
Architecture: any
Depends: python3-petsc4py-real3.16,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-slepc4py (>= 3.12.0-5~)
Conflicts: python3-slepc4py-real (<< 3.12.0-6~)
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc 3.16 libraries (real numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of
 SLEPc 3.16 with real number support.

Package: python3-slepc4py-complex
Architecture: all
Depends: python3-slepc4py-complex3.16,
 ${python3:Depends}, ${misc:Depends}
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc libraries (complex numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This is a dummy package that depends on slepc4py for
 the latest version of SLEPc with complex number support.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the complex build.

Package: python3-slepc4py-complex3.16
Architecture: any
Depends: python3-petsc4py-complex3.16,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-slepc4py (>= 3.12.0-5~),
Conflicts: python3-slepc4py-complex (<< 3.12.0-6~)
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc 3.16 libraries (complex numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of
 SLEPc 3.16 with complex number support.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the complex build.

Package: python3-slepc4py-64-real
Architecture: all
Depends: python3-slepc4py-64-real3.16,
 ${python3:Depends}, ${misc:Depends}
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc 64-bit libraries (real numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This is a dummy package that depends on slepc4py for
 the latest version of SLEPc with real number support and 64-bit
 indexing.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the 64-bit build.

Package: python3-slepc4py-64-real3.16
Architecture: any
Depends: python3-petsc4py-64-real3.16,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-slepc4py (>= 3.12.0-5~)
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit SLEPc 3.16 libraries (real numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of
 SLEPc 3.16 with real number support and 64-bit indexing.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the 64-bit build.

Package: python3-slepc4py-64-complex
Architecture: all
Depends: python3-slepc4py-64-complex3.16,
 ${python3:Depends}, ${misc:Depends}
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit SLEPc libraries (complex numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This is a dummy package that depends on slepc4py for
 the latest version of SLEPc with complex number support and 64-bit
 indexing.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the 64-bit complex build.

Package: python3-slepc4py-64-complex3.16
Architecture: any
Depends: python3-petsc4py-64-complex3.16,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-slepc4py (>= 3.12.0-5~)
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit SLEPc 3.16 libraries (complex numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of
 SLEPc 3.16 with complex number support and 64-bit indexing.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the 64-bit complex build.

Package: python-slepc4py-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:  libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1),
 ${shlibs:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
Provides: ${python:Provides}
Breaks: python-slepc4py (<< 3.7.0-3), python-slepc4py-docs
Replaces: python-slepc4py-docs
Recommends: python3-slepc4py
XB-Python-Version: ${python:Versions}
Description: Python bindings for SLEPc libraries: documentation and examples
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 slepc4py provides Python bindings to almost all functions of SLEPc.
 This package provides documentation and examples.
