## slepc4py 3.17.2

=== debian/changelog ===
slepc4py (3.17.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1
  * add docs/usrman/searchindex.js and tutorial.html to source lintian
    overrides

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Sep 2022 00:59:36 +0200

slepc4py (3.17.0-1exp1) experimental; urgency=medium

  * New upstream release (new API 3.17).
  * use https://pypi.python.org/packages/source/s/slepc4py
    as package Homepage since separate gitlab source repo is defunct
    (actual slepc4py source now sits with SLEPc source at
    https://gitlab.com/slepc/slepc)
  * add pypi-homepage override to debian/source/lintian-overrides.
    slepc4py upstream development source is contained within the main
    slepc source repo at
    https://gitlab.com/slepc/slepc/-/tree/main/src/binding/slepc4py
    So we use the pypi tarball to access slepc4py source separate from
    slepc source.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Apr 2022 13:06:39 +0200
