## slepc4py 3.18.1

=== debian/changelog ===
slepc4py (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * drop debian patch demo_skip_ex3.patch (fixed in PETSc 3.18.1)

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Dec 2022 16:09:50 +0100

slepc4py (3.18.0-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.18).
  * debian patch demo_skip_ex3.patch skips demo ex3.py, which
    currently crashes, see https://gitlab.com/slepc/slepc/-/issues/60

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 Nov 2022 09:20:31 +0100
