## slepc4py 3.18.2

=== debian/changelog ===
slepc4py (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Jan 2023 09:23:25 +0100
