## slepc4py 3.18.3

=== debian/changelog ===
slepc4py (3.18.3-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 10:07:12 +0100

slepc4py (3.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Jun 2023 17:23:07 +0200
