## slepc4py 3.19.2

=== debian/changelog ===
slepc4py (3.19.2-3ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:13 +1100

slepc4py (3.19.2-3ubuntu3) noble; urgency=medium

  * Drop distutils dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Mar 2024 20:45:47 +0100

slepc4py (3.19.2-3ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:53:55 +0100

slepc4py (3.19.2-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Feb 2024 14:43:44 +0100

slepc4py (3.19.2-3) unstable; urgency=medium

  * debian patch revert_cython_pin_d7c06578.patch reverts upstream
    commit d7c06578 pinning exact version of cython (provided by
    cython3-legacy). Closes: #1064693.

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Feb 2024 02:51:59 +0100

slepc4py (3.19.2-2ubuntu1) noble; urgency=medium

  * Cherry-pick change from petsc4py 3.19.6-1ubuntu1
    to fix a similar underlinking

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Feb 2024 20:55:20 +0100

slepc4py (3.19.2-2) unstable; urgency=medium

  * Build-Depends: cython3-legacy. Closes: #1060353.

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Jan 2024 04:40:10 +0100

slepc4py (3.19.2-1) unstable; urgency=medium

  [ Francesco Ballarin ]
  * New upstream version 3.19.2

  [ Drew Parsons ]
  * slepc4py 3.19 supports Python 3.12. Closes: #1057863.
  * run debian/tests on all supported Python versions

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Dec 2023 04:42:35 +0100

slepc4py (3.19.1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.19.

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jul 2023 09:52:29 +0200
