=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: slepc4py
 Section: python
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-python, chrpath,
- cython3,
+ cython3-legacy,
  python3-all-dev,
- python3-distutils,
  python3-numpy (>= 1:1.4.1-4~),
- libslepc-real3.18-dev, libpetsc-real3.18-dev,
- libslepc-complex3.18-dev, libpetsc-complex3.18-dev,
+ libslepc-real3.19-dev, libpetsc-real3.19-dev,
+ libslepc-complex3.19-dev, libpetsc-complex3.19-dev,
  python3-petsc4py,
- python3-petsc4py-real3.18, python3-petsc4py-complex3.18,
- libslepc64-real3.18-dev, libpetsc64-real3.18-dev,
- libslepc64-complex3.18-dev, libpetsc64-complex3.18-dev,
- python3-petsc4py-64-real3.18, python3-petsc4py-64-complex3.18,
+ python3-petsc4py-real3.19, python3-petsc4py-complex3.19,
+ libslepc64-real3.19-dev, libpetsc64-real3.19-dev,
+ libslepc64-complex3.19-dev, libpetsc64-complex3.19-dev,
+ python3-petsc4py-64-real3.19, python3-petsc4py-64-complex3.19,
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1),
@@ -33,7 +33,7 @@
 
 Package: python3-slepc4py
 Architecture: all
-Depends: python3-slepc4py-real | python3-slepc4py-complex | python3-slepc4py-real3.18 | python3-slepc4py-complex3.18 | python3-slepc4py-64-real | python3-slepc4py-64-complex | python3-slepc4py-64-real3.18 | python3-slepc4py-64-complex3.18,
+Depends: python3-slepc4py-real | python3-slepc4py-complex | python3-slepc4py-real3.19 | python3-slepc4py-complex3.19 | python3-slepc4py-64-real | python3-slepc4py-64-complex | python3-slepc4py-64-real3.19 | python3-slepc4py-64-complex3.19,
  python3-petsc4py,
  python3:any, ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
@@ -53,7 +53,7 @@
 
 Package: python3-slepc4py-real
 Architecture: all
-Depends: python3-slepc4py-real3.18,
+Depends: python3-slepc4py-real3.19,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -67,27 +67,27 @@
  This is a dummy package that depends on slepc4py for
  the latest version of SLEPc with real number support.
 
-Package: python3-slepc4py-real3.18
-Architecture: any
-Depends: python3-petsc4py-real3.18,
+Package: python3-slepc4py-real3.19
+Architecture: any
+Depends: python3-petsc4py-real3.19,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Conflicts: python3-slepc4py-real (<< 3.12.0-6~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for SLEPc 3.18 libraries (real numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.18 with real number support.
+Description: Python 3 bindings for SLEPc 3.19 libraries (real numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.19 with real number support.
 
 Package: python3-slepc4py-complex
 Architecture: all
-Depends: python3-slepc4py-complex3.18,
+Depends: python3-slepc4py-complex3.19,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -104,30 +104,30 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the complex build.
 
-Package: python3-slepc4py-complex3.18
-Architecture: any
-Depends: python3-petsc4py-complex3.18,
+Package: python3-slepc4py-complex3.19
+Architecture: any
+Depends: python3-petsc4py-complex3.19,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~),
 Conflicts: python3-slepc4py-complex (<< 3.12.0-6~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for SLEPc 3.18 libraries (complex numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.18 with complex number support.
+Description: Python 3 bindings for SLEPc 3.19 libraries (complex numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.19 with complex number support.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the complex build.
 
 Package: python3-slepc4py-64-real
 Architecture: all
-Depends: python3-slepc4py-64-real3.18,
+Depends: python3-slepc4py-64-real3.19,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -145,29 +145,29 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit build.
 
-Package: python3-slepc4py-64-real3.18
-Architecture: any
-Depends: python3-petsc4py-64-real3.18,
+Package: python3-slepc4py-64-real3.19
+Architecture: any
+Depends: python3-petsc4py-64-real3.19,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit SLEPc 3.18 libraries (real numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.18 with real number support and 64-bit indexing.
+Description: Python 3 bindings for 64-bit SLEPc 3.19 libraries (real numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.19 with real number support and 64-bit indexing.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit build.
 
 Package: python3-slepc4py-64-complex
 Architecture: all
-Depends: python3-slepc4py-64-complex3.18,
+Depends: python3-slepc4py-64-complex3.19,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -185,22 +185,22 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit complex build.
 
-Package: python3-slepc4py-64-complex3.18
-Architecture: any
-Depends: python3-petsc4py-64-complex3.18,
+Package: python3-slepc4py-64-complex3.19
+Architecture: any
+Depends: python3-petsc4py-64-complex3.19,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit SLEPc 3.18 libraries (complex numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.18 with complex number support and 64-bit indexing.
+Description: Python 3 bindings for 64-bit SLEPc 3.19 libraries (complex numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.19 with complex number support and 64-bit indexing.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit complex build.
