=== debian/tests/control ===
Tests: run-tests run-demos
 run-tests-64 run-demos-64
Depends: @, @builddeps@,
 gzip,
 pkg-config,
 python3-all
Restrictions: allow-stderr
